package cn.estsh.i3plus.core.apiservice.daoimpl;

import cn.estsh.i3plus.core.apiservice.dao.ITestDao;
import cn.estsh.i3plus.pojo.base.common.Pager;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.persistence.EntityManager;
import java.util.List;

/**
 * @Description : 多表测试
 * @Reference :
 * @Author : yunhao
 * @CreateDate : 2019-02-20 21:17
 * @Modify:
 **/
@Service
public class TestDaoImpl implements ITestDao {
    public static final Logger LOGGER = LoggerFactory.getLogger(UserPermissionDaoImpl.class);

    @Autowired
    private EntityManager entityManager;

    @Override
    public List<Object> queryToolAndToolType(Pager pager) {
        String hql = "select t,tt from SysTool as t " +
                " left join SysToolType as tt on t.toolTypeId = tt.id " +
                " where 1=1";

        return entityManager.createQuery(hql).setFirstResult(pager.getStartRow())
                .setMaxResults(pager.getPageSize()).getResultList();
    }
}
